Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.webreport.beans
Class FlyFormula

    java.lang.Object
      jet.webreport.beans.FlyFormula

All Implemented Interfaces:
  java.io.Serializable

    public class FlyFormula

extends java.lang.Object
implements java.io.Serializable

FlyFormula describes a dynamic formula.

See Also:
  Serialized Form

Constructor Summary
`FlyFormula(java.lang.String displayName, java.lang.String expression)` Creates a new `FlyFormula` instance by the specified display name and expression.
`FlyFormula(java.lang.String displayName, java.lang.String expression, int roleType)`

Method Summary
`java.lang.String` | `getDisplayName()` Returns the display name of the dynamic formula.
`java.lang.String` | `getExpression()` Returns the expression of the dynamic formula.
`NameInfo` | `getNameInfo()` Returns the name information of the dynamic formula.
`int` | `getUseType()`
`void` | `setDisplayName(java.lang.String displayName)`
`void` | `setExpression(java.lang.String expression)`
`void` | `setNameInfo(NameInfo nameInfo)`
`void` | `setUseType(int useType)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlyFormula

    public FlyFormula(java.lang.String displayName,
                      java.lang.String expression)

  Creates a new `FlyFormula` instance by the specified display name and expression.

  Parameters:
    `displayName` - the display name.
    `expression` - the expression.

### FlyFormula

    public FlyFormula(java.lang.String displayName,
                      java.lang.String expression,
                      int roleType)

Method Detail

### getNameInfo

    public NameInfo getNameInfo()

  Returns the name information of the dynamic formula.

  Returns:
    the name information `NameInfo`.

### setNameInfo

    public void setNameInfo(NameInfo nameInfo)

### getDisplayName

    public java.lang.String getDisplayName()

  Returns the display name of the dynamic formula.

  Returns:
    the display name.

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

### getExpression

    public java.lang.String getExpression()

  Returns the expression of the dynamic formula.

  Returns:
    the expression.

### setExpression

    public void setExpression(java.lang.String expression)

### getUseType

    public int getUseType()

### setUseType

    public void setUseType(int useType)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD